#!/bin/sh
restore_files ()
{
TO_DIR=$1
NEW=$2
shift 2
for i in $*
do
        if [ -f $oldfiles_dir/$i ]
        then
                CONTINUE="Y"
                if [ "$NEW" = "TRUE" ]
                then
                        if [ -f $TO_DIR/${i} ]
                        then
                                cp -fp $TO_DIR/${i} $TO_DIR/${i}.new
                                if [ $? -ne 0 ]
                                then
                                        ERROR_COPYING="Y"
                                        CONTINUE="N"
                                fi
                        fi
                fi
                if [ "$CONTINUE" = "Y" ]
                then
                        cp -fp $oldfiles_dir/${i} $TO_DIR/${i}
                        if [ $? -eq 0 ]
                        then
                                COPYMADE=Y
                        else
                                ERROR_COPYING="Y"
                        fi
                fi
        fi
done
}

# restore config files

WES_HOME=/opt/ibm/edge
COMPONENT=cp
APP_HOME=$WES_HOME/$COMPONENT
COPYMADE="N"
ERROR_COPYING="N"

oldfiles_dir=$WES_HOME/oldfiles/$COMPONENT

# The ibmproxy.conf file contains a groupid directive of "nobody".  On SuSE
# this must be changed to nogroup.  Edit only the ibmproxy.conf file that is
# installed; it can be assumed any pre-existing user version is already
# correct.

if [ -f /etc/SuSE-release ]; then

        FILENAME=ibmproxy.conf
        PATHNAME=$APP_HOME/etc/cs_CZ/${FILENAME}
        cp ${PATHNAME} /tmp/${FILENAME}.$$
        if [ $? -eq 0 ] ; then
                sed  -e "/^GroupId\ *nobody/s/nobody/nogroup/" /tmp/${FILENAME}.$$ > ${PATHNAME}
                rm -f /tmp/${FILENAME}.$$
        else
                echo "Could not edit ${FILENAME} in /tmp; to change "
                echo "GroupId nobody to nogroup"
        fi
fi

# If know that WSES 2.0 was already installed, can restore the ibmproxy.conf
# file.  Copy it to .new before restoring over it.

DOT_NEW=TRUE

restore_files ${APP_HOME}/etc $DOT_NEW cs_CZ/ibmproxy.conf

if [ "${ERROR_COPYING}" = "Y" ]; then
        echo ""
        echo "Error copying configuration files from ${oldfiles_dir},"
        echo "not all old versions restored."
        echo ""
elif [ "${COPYMADE}" = "Y" ]; then
        echo ""
        echo "Configuration files have been restored"
        echo ""
fi
exit 0